<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Withdraw;
use App\Repositories\WithdrawRepository;
use Illuminate\Http\Request;

class WithdrawController extends Controller
{
    /**
     * show withdraw
     */
    public function index()
    {
        $status = request('status');
        $withdraws = Withdraw::when($status, function ($query) use ($status) {
            return $query->where('status', $status);
        })->orderBy('id', 'desc')->paginate(20);

        return view('admin.withdraw.index', compact('withdraws'));
    }

    /**
     * show withdraw details
     */
    public function show(Withdraw $withdraw)
    {
        return view('admin.withdraw.show', compact('withdraw'));
    }

    /**
     * update withdraw request
     */
    public function update(Withdraw $withdraw, Request $request)
    {
        WithdrawRepository::updateWithdraw($withdraw, $request);

        return back()->withSuccess(__('Withdraw request updated successfully'));
    }
}