<?php

namespace Database\Seeders;

use App\Models\ThemeColor;
use Illuminate\Database\Seeder;

class ThemeColorSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        ThemeColor::truncate();

        $this->defaultColor();

        if (app()->environment('local')) {
            $this->DemoColors();
        }
    }

    private function defaultColor()
    {
        $color = [
            'primary' => '#22A699',
            'secondary' => '#e9f6f5',
            'variant_50' => '#e9f6f5',
            'variant_100' => '#d3edeb',
            'variant_200' => '#a7dbd6',
            'variant_300' => '#7acac2',
            'variant_400' => '#4eb8ad',
            'variant_500' => '#22A699',
            'variant_600' => '#1f958a',
            'variant_700' => '#1b857a',
            'variant_800' => '#18746b',
            'variant_900' => '#14645c',
            'variant_950' => '#11534d',
            'is_default' => true,
        ];

        ThemeColor::create($color);
    }

    private function DemoColors()
    {
        $colors = [
            [
                'primary' => '#a855f7',
                'secondary' => '#f3e8ff',
                'variant_50' => '#faf5ff',
                'variant_100' => '#f3e8ff',
                'variant_200' => '#e9d5ff',
                'variant_300' => '#d8b4fe',
                'variant_400' => '#c084fc',
                'variant_500' => '#a855f7',
                'variant_600' => '#9333ea',
                'variant_700' => '#7e22ce',
                'variant_800' => '#6b21a8',
                'variant_900' => '#581c87',
                'variant_950' => '#3b0764',
                'is_default' => false,
            ],
            [
                'primary' => '#8b5cf6',
                'secondary' => '#ede9fe',
                'variant_50' => '#f5f3ff',
                'variant_100' => '#ede9fe',
                'variant_200' => '#ddd6fe',
                'variant_300' => '#c4b5fd',
                'variant_400' => '#a78bfa',
                'variant_500' => '#8b5cf6',
                'variant_600' => '#7c3aed',
                'variant_700' => '#6d28d9',
                'variant_800' => '#5b21b6',
                'variant_900' => '#4c1d95',
                'variant_950' => '#2e1065',
                'is_default' => false,
            ],
        ];

        ThemeColor::insert($colors);
    }
}
