<?php

namespace Database\Seeders;

use App\Enums\Roles;
use App\Models\User;
use App\Repositories\CustomerRepository;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->createRootUser();
        $this->createVisitorUser();
        $this->createUser();
    }

    private function createRootUser()
    {
        $rootUser = User::factory()->create([
            'name' => 'Super Admin',
            'email' => 'root@alicom.com',
            'phone' => '01000000001',
            'is_active' => true,
        ]);

        $rootUser->assignRole(Roles::ROOT->value);
    }

    private function createVisitorUser()
    {
        $visitorUser = User::factory()->create([
            'name' => 'Visitor',
            'email' => 'visitor@alicom.com',
            'phone' => '01000000003',
        ]);

        $visitorUser->assignRole(Roles::VISITOR->value);
    }

    private function createUser()
    {
        $user = User::factory()->create([
            'name' => 'Demo User',
            'email' => 'user@alicom.com',
            'phone' => '01000000405',
            'is_active' => true,
        ]);

        $user->assignRole(Roles::CUSTOMER->value);

        CustomerRepository::storeByRequest($user);
    }
}
